Create hostname route
POST/accounts/{account_id}/zerotrust/routes/hostname
Create a hostname route.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Create hostname route
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/zerotrust/routes/hostname \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"comment": "example comment",
"hostname": "office-1.local",
"tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"comment": "example comment",
"created_at": "2021-01-25T18:22:34.317854Z",
"deleted_at": "2009-11-10T23:00:00.000000Z",
"hostname": "office-1.local",
"tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"tunnel_name": "api-tunnel"
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"comment": "example comment",
"created_at": "2021-01-25T18:22:34.317854Z",
"deleted_at": "2009-11-10T23:00:00.000000Z",
"hostname": "office-1.local",
"tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"tunnel_name": "api-tunnel"
},
"success": true
}